(*--------------------------------------------------------------*)
(* ACM ICPC 2011-2012, NEERC                                    *)
(* Northern Subregional Contest                                 *)
(* St Petersburg, October 29, 2011                              *)
(*--------------------------------------------------------------*)
(* Problem F. Flat                                              *)
(*                                                              *)
(* Original idea         Fedor Tsarev                           *)
(* Problem statement     Fedor Tsarev                           *)
(* Testset               Fedor Tsarev                           *)
(*--------------------------------------------------------------*)
(* Checker                                                      *)
(*                                                              *)
(* Author                Fedor Tsarev                           *)
(*--------------------------------------------------------------*)
 
uses
    testlib, sysutils;

var
    jTotal, pTotal : longint;
    jLiving, pLiving : longint;
    jCost, pCost : double;

begin
    jTotal := ans.readLongint();
    pTotal := ouf.readLongint();
    if (jTotal <> pTotal) then begin
        quit(_wa, format('Incorrect total area: %d instead of %d', [pTotal, jTotal]));
    end;

    jLiving := ans.readLongint();
    pLiving := ouf.readLongint();
    if (jLiving <> pLiving) then begin
        quit(_wa, format('Incorrect living area: %d instead of %d', [pLiving, jLiving]));
    end;

    jCost := ans.readReal();
    pCost := ouf.readReal();

    if (abs(jCost - pCost) > 1.1e-6) then begin
        quit(_wa, format('Incorrect cost: %0.1f instead of %0.1f', [pCost, jCost]));
    end;

    quit(_ok, format('Total area = %d; living area = %d; cost = %0.1f', [pTotal, pLiving, pCost]));
end.
